Language

Package: sane-airscan @ 0.99.27

Synopsis

SANE backend for eSCL (AirScan) and WSD document scanners

Description

This SANE backend lets you scan documents and images from scanners and multi-function printers that speak eSCL (marketed as ``AirScan'') or WSD (or ``WS-Scan'').

Both are vendor-neutral protocols that allow ``driverless'' scanning over IPv4 and IPv6 networks without the vendor-specific drivers that make up most of the sane-backends collection. This is similar to how most contemporary printers speak the universal IPP.

Only scanners that support eSCL will also work over USB. This requires a suitable IPP-over-USB daemon like ipp-usb to be installed and configured.

Any eSCL or WSD-capable scanner should just work. sane-airscan automatically discovers and configures devices, including which protocol to use. It was successfully tested with many devices from Brother, Canon, Dell, Kyocera, Lexmark, Epson, HP, OKI, Panasonic, Pantum, Ricoh, Samsung, and Xerox, with both WSD and eSCL.

Home page
https://github.com/alexpevzner/sane-airscan
Location
gnu/packages/scanner.scm (line: 54, column: 2)
Licenses

Derivations

SystemTargetDerivationBuild status
x86_64-linux/gnu/store/q4g9zcn2ss3cr3ncjzh40l80hb7kxqxq-sane-airscan-0.99.27.drv
x86_64-linuxx86_64-w64-mingw32/gnu/store/p8i07fd93xkf30qgmb9i6rnzm5d411qr-sane-airscan-0.99.27.drv
x86_64-linuxriscv64-linux-gnu/gnu/store/6m8a23gmkcd6dfx109qyip4kj8zc41jh-sane-airscan-0.99.27.drv
x86_64-linuxpowerpc-linux-gnu/gnu/store/am4agv1c2gmrkg333l6ljz642cbm8mcw-sane-airscan-0.99.27.drv
x86_64-linuxpowerpc64le-linux-gnu/gnu/store/6hw7p9mcrm4dld64ipm5421di6lys88k-sane-airscan-0.99.27.drv
x86_64-linuxi686-w64-mingw32/gnu/store/8bpwhdlb8cj7g0h7820sywcdlvvvq0ql-sane-airscan-0.99.27.drv
x86_64-linuxi586-pc-gnu/gnu/store/x3cns4mkmxn0589kbgd2pnrj309l0qj6-sane-airscan-0.99.27.drv
x86_64-linuxarm-linux-gnueabihf/gnu/store/6n6i0fa87k3b338xr6s89laaigwyyiz6-sane-airscan-0.99.27.drv
x86_64-linuxaarch64-linux-gnu/gnu/store/ylgpspwf047r4g5k77w6faiypvj47lzc-sane-airscan-0.99.27.drv
riscv64-linux/gnu/store/z0y4i01fwbks10g1j7wf5g2xc9xgmgzr-sane-airscan-0.99.27.drv
    powerpc-linux/gnu/store/bhw77agvkzqzl9s3k6cx74hk3jv1xpbk-sane-airscan-0.99.27.drv
      powerpc64le-linux/gnu/store/cncj9minjjiq2z98nxvqdl7727iw53gn-sane-airscan-0.99.27.drv
      mips64el-linux/gnu/store/1xa59fk49a64w7by71x6rly2capqap92-sane-airscan-0.99.27.drv
        i686-linux/gnu/store/01r2igqsmq7ndr981bavbxyyppkp0pdh-sane-airscan-0.99.27.drv
        armhf-linux/gnu/store/ih6jqzcgavk5accjyq53fsw1g79mwmb2-sane-airscan-0.99.27.drv
        aarch64-linux/gnu/store/jkmrhyywj82aq2lsd5bnsgcf53l3q8vw-sane-airscan-0.99.27.drv

        Lint warnings

        LinterMessageLocation
        description

        Validate package descriptions

        use @code or similar ornament instead of quotes
        derivation

        Report failure to compile a package to a derivation

        failed to create i586-gnu derivation: #<&package-input-error package: #<package nghttp2@1.48.0 gnu/packages/web.scm:7487 7f8ed7409c60> input: ("_" "static")>
        derivation

        Report failure to compile a package to a derivation

        failed to create i586-gnu derivation: #<&package-input-error package: #<package nghttp2@1.48.0 gnu/packages/web.scm:7487 7fa7aa068c60> input: ("_" "static")>
        derivation

        Report failure to compile a package to a derivation

        failed to create i586-gnu derivation: #<&package-input-error package: #<package nghttp2@1.48.0 gnu/packages/web.scm:7487 7f5755cb9c60> input: ("_" "static")>
        derivation

        Report failure to compile a package to a derivation

        failed to create i586-gnu derivation: #<&package-input-error package: #<package nghttp2@1.48.0 gnu/packages/web.scm:7487 7f119da52c60> input: ("_" "static")>
        derivation

        Report failure to compile a package to a derivation

        failed to create i586-gnu derivation: #<&package-input-error package: #<package nghttp2@1.48.0 gnu/packages/web.scm:7492 7fb2d2987dc0> input: ("_" "static")>
        derivation

        Report failure to compile a package to a derivation

        failed to create i586-gnu derivation: #<&package-input-error package: #<package nghttp2@1.48.0 gnu/packages/web.scm:7492 7f3e6bc77dc0> input: ("_" "static")>
        derivation

        Report failure to compile a package to a derivation

        failed to create i586-gnu derivation: #<&package-input-error package: #<package nghttp2@1.48.0 gnu/packages/web.scm:7492 7f62abeb7dc0> input: ("_" "static")>
        derivation

        Report failure to compile a package to a derivation

        failed to create i586-gnu derivation: #<&package-input-error package: #<package nghttp2@1.48.0 gnu/packages/web.scm:7492 7fa23c1dddc0> input: ("_" "static")>
        derivation

        Report failure to compile a package to a derivation

        failed to create i586-gnu derivation: #<&package-input-error package: #<package nghttp2@1.48.0 gnu/packages/web.scm:7492 7f0f10522dc0> input: ("_" "static")>